<div class="container">
  <!-- <div *ngIf="{{outgoingSceneType}}=='winning'"> -->
    <h2 *ngIf="outgoingSceneType=='winning'" class="modal-title">Winning Scenario</h2>
  <!-- </div> -->
  <!-- <div *ngIf="{{outgoingSceneType}}=='losing'"> -->
    <h2 *ngIf="outgoingSceneType=='losing'" class="modal-title">Losing Scenario</h2>
  <!-- </div> -->
  <!-- <h2 class="modal-title">{{outgoingSceneType}} scene</h2> -->
    <!--(ngSubmit)="onSubmit()" remove it as not used, submit using the modal component -->
  <form clrForm [formGroup]="winLoseForm" clrLabelSize="3">
      <div class="cross-validation" [class.cross-validation-error]="(winLoseForm.touched || winLoseForm.dirty)">
        <div class="form-group">
          <div class="clr-row">
            <div class="clr-col" id="sceneHeader">
              General Scenario Details
            </div>
          </div>
        </div>
          <div class="form-group">
            <clr-combobox-container>
              <label> Background Image Selection* :</label>
            <!--(change)="changeCity($event)"-->
              <clr-combobox formControlName="backgroundImage" >
                <!--(change)="changeCity($event)"-->
                <clr-options>
                <clr-option *ngFor="let b of backgroundImages" [clrValue]="b.url" >
                  <div *ngIf="b.url == ''; else elseBlock">
                    {{b.name}}
                  </div>
                  <ng-template #elseBlock>  
                    <img src='{{b.url}}' /> 
                    {{b.name}}
                  </ng-template>
                </clr-option>
                </clr-options>
              </clr-combobox>
            </clr-combobox-container>
          </div>

          <div class="form-group">
            <clr-combobox-container>
              <label>Character Image Selection :</label>
              <clr-combobox formControlName="characterImage">
                <clr-options>
                  <clr-option *ngFor="let c of characterImages" [clrValue]="c.url">
                    <div *ngIf="c.url == ''; else elseBlock">
                      {{c.name}}
                    </div>
                    <ng-template #elseBlock>  
                      <img src='{{c.url}}' /> 
                      {{c.name}}
                    </ng-template>
                  </clr-option>
                </clr-options>
              </clr-combobox>
            </clr-combobox-container>
          </div>

          <div class="form-group">
            <clr-input-container>
              <label>Character Name :</label>
              <input clrInput type="text" formControlName="characterName" style="width: 300px;">
            </clr-input-container>
          </div>

          <div class="form-group">
            <clr-textarea-container>
                  <label>Description* :</label>
                  <textarea clrTextarea name="" id="" cols="36" rows="4" formControlName="description"></textarea>
            </clr-textarea-container>
          </div>

        </div>

    </form>
  </div>
  
